Skip to main content
POST
/
preview
/
retail-media
/
accounts
/
{accountId}
/
retailers
/
search
/preview/retail-media/accounts/{accountId}/retailers/search
curl --request POST \
  --url https://api.criteo.com/preview/retail-media/accounts/{accountId}/retailers/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "retailerIdFilter": [
        "<string>"
      ]
    },
    "type": "<string>"
  }
}
'
{
  "data": [
    {
      "attributes": {
        "campaignAvailabilities": [
          {
            "isAvailable": true,
            "validCombinations": [
              {}
            ]
          }
        ],
        "name": "<string>"
      },
      "id": "<string>",
      "type": "<string>"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "metadata": {
    "limit": 123,
    "offset": 123,
    "count": 123
  },
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
string
required

The external account identifier

Query Parameters

limit
integer<int32>
default:5

The maximum number of items to return. Must be between 1 and 10. Default is 5.

Required range: 1 <= x <= 10
offset
integer<int32>
default:0

The number of items to skip before starting to collect the result set. Default is 0.

Required range: 0 <= x <= 2147483647

Body

application/json

The search request containing filtering parameters

A top-level object that encapsulates a Criteo API request for a single value object.

data
object

A value resource exposed by the API.

Response

200 - application/json

Success

A top-level object that encapsulates a Criteo API response for several entities and metadata.

data
object[] | null
errors
object[] | null
read-only

Errors that occured during this call.

metadata
object

Metadata related to the current request.

warnings
object[] | null
read-only

Warnings that occured during this call.